package nc.itf.th;

import nc.ui.querytemplate.querytree.IQueryScheme;
import nc.vo.th.bonus.AggbonusVO;
import nc.vo.pub.BusinessException;

public interface ITh_bonusMaintain {

    public void delete(AggbonusVO[] vos) throws BusinessException ;

    public AggbonusVO[] insert(AggbonusVO[] vos) throws BusinessException ;
  
    public AggbonusVO[] update(AggbonusVO[] vos) throws BusinessException ;


    public String[] queryPKs(IQueryScheme queryScheme)
      throws BusinessException;
    public AggbonusVO[] queryBillByPK(String[] pks)
      throws BusinessException ;

}
